Bug 2005138 - Console overview section shows operators are upgrading even though it is not actually upgrading.
Summary: Console overview section shows operators are upgrading even though it is not ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Joe Caiani
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 1990141
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-16 21:33 UTC by Joe Caiani
Modified: 2021-10-27 08:23 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1990141
Environment:
Last Closed: 2021-10-27 08:22:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10093 0 None open [release-4.7] Bug 2005138: Console overview operators shown upgrading when still waiting on approval 2021-09-16 21:41:44 UTC
Red Hat Product Errata RHBA-2021:3931 0 None None None 2021-10-27 08:23:18 UTC

Comment 1 Yanping Zhang 2021-09-18 02:43:20 UTC
Tested against pr10093. Install strimzi operator, choose version 0.19.0 and manual approval strategy, then switch channel to strimzi-0.20.x, now there is update available. Check status card on overview page, in Operators field the upgrade info and icon are shown correctly.

Comment 6 errata-xmlrpc 2021-10-27 08:22:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.36 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3931


Note You need to log in before you can comment on or make changes to this bug.